Xcode 4 problems or gcc < 4.3 problems

Development directions, tasks, and features being actively implemented or pursued by the development team.

Xcode 4 problems or gcc < 4.3 problems

Postby strook » Fri May 20, 2011 3:07 pm

well, there is a problem concerning Xcode:
Xcode 4 disallows to use the gcc compiler > 4.2 and this version has
bugs that prevent vegaogre to compile.

so, use dragonegg to get llvm-gcc > 4.2 running.

you can download it and get instructions how to compile it here

we should make this sticky
Last edited by strook on Fri May 20, 2011 6:50 pm, edited 2 times in total.
plz visit my vegastrike project branch here

plz support VegaOgre by donating to it!

My systems: Mac mini 1, 4gig RAM;
i5 Quad Core 2400, 300mbit WLAN, 1,3Tbyte HD, 60 GB SSD,
nvidia geforce 8400gs 512MB, 6gig RAM with Ubuntu 11.4,
win7 and hackintosh installed
User avatar
strook
ISO Party Member
ISO Party Member
 
Posts: 461
Topics: 20
Joined: Fri Sep 03, 2010 5:10 am

Share On:

Share on Facebook Facebook Share on Twitter Twitter Share on Digg Digg

Re: Xcode problems

Postby loki1950 » Fri May 20, 2011 6:30 pm

I agree that it should be sticky :wink: and I made it so.

Enjoy the Choice :)
my box::HP Envy i5-6400 @2Q70GHzx4 8 Gb ram/1 Tb(Win10 64)/3 Tb Mint 18/GTX745 4Gb acer S243HL K222HQL
Q8200/Asus P5QDLX/8 Gb ram/WD 2Tb 2-500 G HD/GF GT640 2Gb Mint 17.3 64 bit Win 10 32 bit acer and DELL E6400 4GB ram/100 GB HD Mint 17.3 6
User avatar
loki1950
The Shepherd
 
Posts: 5705
Topics: 51
Joined: Fri May 13, 2005 1:37 pm
Location: Ottawa

Re: Xcode 4 problems or gcc < 4.3 problems

Postby strook » Fri May 20, 2011 6:51 pm

i renamed the thread to be more precise.

cool my first sticky thread 8)
plz visit my vegastrike project branch here

plz support VegaOgre by donating to it!

My systems: Mac mini 1, 4gig RAM;
i5 Quad Core 2400, 300mbit WLAN, 1,3Tbyte HD, 60 GB SSD,
nvidia geforce 8400gs 512MB, 6gig RAM with Ubuntu 11.4,
win7 and hackintosh installed
User avatar
strook
ISO Party Member
ISO Party Member
 
Posts: 461
Topics: 20
Joined: Fri Sep 03, 2010 5:10 am

Re: Xcode 4 problems or gcc < 4.3 problems

Postby strook » Fri May 20, 2011 9:55 pm

before you compile gcc multiple times cause you wonder why lto support is disabled,
you must install this lib to enable lto support in gcc.
plz visit my vegastrike project branch here

plz support VegaOgre by donating to it!

My systems: Mac mini 1, 4gig RAM;
i5 Quad Core 2400, 300mbit WLAN, 1,3Tbyte HD, 60 GB SSD,
nvidia geforce 8400gs 512MB, 6gig RAM with Ubuntu 11.4,
win7 and hackintosh installed
User avatar
strook
ISO Party Member
ISO Party Member
 
Posts: 461
Topics: 20
Joined: Fri Sep 03, 2010 5:10 am

Re: Xcode 4 problems or gcc < 4.3 problems

Postby strook » Sat May 21, 2011 2:39 pm

i got it copmiled for macosx :mrgreen:
if you want to compile it yourself, you should have a look to this board:
and
this board.

how to run it:
1.: download gcc *MUST BE* version 4.5.2.
2.: install patches to it as menitoned on the boards.
3.:compile gcc. my compilation string was:
Code: Select all
./configure --enable-plugin --enable-lto CPPFLAGS="-I/usr/local/include" LDFLAGS="-L/usr/local/lib -fPIC -shared -undefined dynamic_lookup" --with-libelf-include=/usr/local/include/ --with-libelf-lib=/usr/local/lib/ --with-gmp=/usr/local/lib/ --with-gmp-include=/usr/local/include/ --with-mpfr=/usr/local/lib/ --with-mpfr-include=/usr/local/include/ --with-mpc-lib=/usr/local/lib/ --with-mpc-include=/usr/local/include/ --enable-languages=c,c++,objc --disable-multilib --disable-bootstrap

4.:then my lib for macosx should work with it.
5.: if you want to compile yourself the lib: BEWARE the actual darwin version has got many compiler errors to fix prior compiling, but here is it as it goes:
6.:donload svn versions of llvm and dragonegg.
7.:compile llvm.
8.:compile dragonegg correcting errors. i don't know weter it is stable in the moment. i'll try it out the next days.
the compilation string is:
Code: Select all
GCC=/usr/local/bin/x86_64-apple-darwin10.7.0-gcc-4.5.2 CPPFLAGS="-DENABLE_LTO"  make

note: it should also compile if you simply download gcc4.5 with fink...
plz visit my vegastrike project branch here

plz support VegaOgre by donating to it!

My systems: Mac mini 1, 4gig RAM;
i5 Quad Core 2400, 300mbit WLAN, 1,3Tbyte HD, 60 GB SSD,
nvidia geforce 8400gs 512MB, 6gig RAM with Ubuntu 11.4,
win7 and hackintosh installed
User avatar
strook
ISO Party Member
ISO Party Member
 
Posts: 461
Topics: 20
Joined: Fri Sep 03, 2010 5:10 am

Re: Xcode 4 problems or gcc < 4.3 problems

Postby strook » Sun May 22, 2011 6:07 pm

ok, i got that dragonegg running, but not in xcode.

but if you are in linux, you can simply use gcc 4.6 natively with eclipse.

but not on mac. due to compatibility reasons, i need to use parts of the mac framework, so
i need to use xcode.

there could be a way to enable gcc-4.5 support:

in target info, in rules adding a rule for c++ files, and using a custom script.

but there were nothing executed as i entered /usr/bin/gcc-4.5 for it.

i contacted apple support.
plz visit my vegastrike project branch here

plz support VegaOgre by donating to it!

My systems: Mac mini 1, 4gig RAM;
i5 Quad Core 2400, 300mbit WLAN, 1,3Tbyte HD, 60 GB SSD,
nvidia geforce 8400gs 512MB, 6gig RAM with Ubuntu 11.4,
win7 and hackintosh installed
User avatar
strook
ISO Party Member
ISO Party Member
 
Posts: 461
Topics: 20
Joined: Fri Sep 03, 2010 5:10 am

Re: Xcode 4 problems or gcc < 4.3 problems

Postby strook » Mon May 23, 2011 4:26 am

well i have found a way to use gcc 4.2 or llvm 1.0, so there is no compiler update needed.
plz visit my vegastrike project branch here

plz support VegaOgre by donating to it!

My systems: Mac mini 1, 4gig RAM;
i5 Quad Core 2400, 300mbit WLAN, 1,3Tbyte HD, 60 GB SSD,
nvidia geforce 8400gs 512MB, 6gig RAM with Ubuntu 11.4,
win7 and hackintosh installed
User avatar
strook
ISO Party Member
ISO Party Member
 
Posts: 461
Topics: 20
Joined: Fri Sep 03, 2010 5:10 am

Re: Xcode 4 problems or gcc < 4.3 problems

Postby strook » Mon May 23, 2011 1:17 pm

actually, i have problems with the llvm compiler 1.7.
with llvm 1.0 it worked, i don't know what changed and i don't want to examine this problem any longer, cause you can simply use gcc.

my program is tested against gcc <= 4.2, when using gcc > 4.2 <tr1/unordered_map> is used for hash in both ogre and vs, so there should be no problem.
plz visit my vegastrike project branch here

plz support VegaOgre by donating to it!

My systems: Mac mini 1, 4gig RAM;
i5 Quad Core 2400, 300mbit WLAN, 1,3Tbyte HD, 60 GB SSD,
nvidia geforce 8400gs 512MB, 6gig RAM with Ubuntu 11.4,
win7 and hackintosh installed
User avatar
strook
ISO Party Member
ISO Party Member
 
Posts: 461
Topics: 20
Joined: Fri Sep 03, 2010 5:10 am

Re: Xcode 4 problems or gcc < 4.3 problems

Postby strook » Wed May 25, 2011 1:56 pm

vegaogre is tested on macosx against gcc 4.2.1 and on linux against gcc 4.4
plz visit my vegastrike project branch here

plz support VegaOgre by donating to it!

My systems: Mac mini 1, 4gig RAM;
i5 Quad Core 2400, 300mbit WLAN, 1,3Tbyte HD, 60 GB SSD,
nvidia geforce 8400gs 512MB, 6gig RAM with Ubuntu 11.4,
win7 and hackintosh installed
User avatar
strook
ISO Party Member
ISO Party Member
 
Posts: 461
Topics: 20
Joined: Fri Sep 03, 2010 5:10 am



Return to Engine Development

Who is online

Users browsing this forum: No registered users and 1 guest

cron